# fn:id

fn:id(string* $srcval) → element*

Function signature

$srcval | xs:string *
Result | element() *

Finds the elements with given ID attribute values

XPath 2.0 Specification

fn:id(string* $srcval, node() node) → element*

Function signature

$srcval | xs:string *
Result | element() *

Finds the elements with given ID attribute values, within a specified document.

XPath 2.0 Specification

Note:The new second argument (introduced after the 12 November 2003 draft) is implemented.

Expand | Up Next